Subject: Re: bug#58580: 29.0.50; Ahead-of-time compilation for a few more files?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Oct 2022 19:33:41 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 17 Oct 2022 21:31:29 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> [proposed list snipped, but sounds good to me]
> 
> >  warnings
> >  display-line-numbers
> >
> > And I'm hard-pressed to explain why icons and display-line-numbers are
> > there.
> 
> icons because of warnings, but I don't know why display-line-numbers.

I know why display-line-numbers is compiled: it happens whenever you
invoke some command that needs tabulated-list-mode.  For me, it's
usually list-processes (which I invoke to see if Emacs is running a
native compilation).